Android 2.2 にバージョンダウンしてビルドする方法

『Androidプログラミングバイブル SDK 4/3/2対応』(布留川英一 著、ソシム)

は、解説が丁寧で好感が持てる良書なのですが、Android 2.3 以上のサンプルしか収録されていません(サンプルプログラムは、Webサイトから「プロジェクト」としてダウンロードできます)。2.2 と 2.3 の間には開発環境に「溝」があるようなので、これから勉強するには「2.3 以上」とするのが合理的な判断だと私も思います。

ただ、私の手持ちのターゲット実機は Android 2.2 しかないので、ソースが共通で使えそうなプロジェクトは、「バージョンダウン」してビルドする必要があります。←単なる個人的な事情です(SMT-i9100 の新品が1万2千円で売られていたので衝動買い orz)

以下、その方法をメモっておきます:
続きを読む
HOME